edu.msu.cme.rdp.classifier.train

## Class TreeFactory

- java.lang.Object
- - edu.msu.cme.rdp.classifier.train.TreeFactory

    public class TreeFactory
    extends java.lang.Object

A TreeFactory reads the raw taxonomic information and creates the RawHierarchyTree nodes.

### Constructor Summary

Constructors
Constructor and Description
`TreeFactory(java.io.Reader taxReader, int trainsetNo, java.lang.String version, java.lang.String modification)` Creates new TreeFactory.

### Method Summary

Methods
`RawHierarchyTree` `getRoot()` Gets the root of the tree
`void` `parseCopyNumberFile(java.lang.String cnFile)` parse the copy number file first step, take the copy number info from the lowest rank taxa, then calculate the copy number of the parent taxa based on the immediate children second step, for any taxon without copy number info, uses the
`void` `parseSequenceFile(LineageSequenceParser parser)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeFactory

    public TreeFactory(java.io.Reader taxReader,
               int trainsetNo,
               java.lang.String version,
               java.lang.String modification)
                throws java.io.IOException,
                       NameRankDupException

Creates new TreeFactory.

Throws:
  `java.io.IOException`
  `NameRankDupException`

### Method Detail

#### parseSequenceFile

    public void parseSequenceFile(LineageSequenceParser parser)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### parseCopyNumberFile

    public void parseCopyNumberFile(java.lang.String cnFile)
                             throws java.io.IOException

parse the copy number file first step, take the copy number info from the lowest rank taxa, then calculate the copy number of the parent taxa based on the immediate children second step, for any taxon without copy number info, uses the

Parameters:
  `cnFile` -
Throws:
  `java.io.IOException`

#### getRoot

    public RawHierarchyTree getRoot()

Gets the root of the tree